<?
require_once '../core/system.php';
echo only_reg();
$header = 'Эликсир удачи';
require_once H.'core/head.php';
switch($act) {
case 'ok':
if($user[mata] < 50 || $user[silver] < 20000 || $user[gold] < 30){
Header('Location: ?');
include 'alchemy_error.php';
echo "<ul class='hint'><li>Ресурсы для алхимии можно добыть в пещере</li></ul></center><div class='mini-line'></div><div class='menuList'><li><a href='/lab/alchemy.php'><img src='/images/icon/arrow.png'>Вернуться в лабораторию</a></li></div>";

}else{
mysql_query("UPDATE `user` SET `mata` = '".($user['mata']-50)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `silver` = '".($user['silver']-20000)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-30)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `lovk` = '".($user['lovk']+10)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `podarok` = '1' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Эликсир удаче изготовлен и добавлен к вашим параметрам!';
exit();
}
break;
default;
echo "<div class='mini-line'></div>";
echo "<div class='block_zero'><img src='/images/alchemy/healt.png' alt='' width='50' height='50' style='float:left;margin-right:3px;margin-top:3px;'/> <span class='yellow'>Эликсир удаче​</span>​​ <br/><span class='medium'> Бонус: <span class='dgreen'>+10 к удачи</span></span><div style='clear:both;'></div><br><div class='mini-line'></div><div class='block_zero'><center><a class='btn' href='?act=ok'><span class='end'><span class='label'><img src='/images/icon/alchemy.png'> Изготовить</span></span></a></div></div></center><br>";
echo "<div class='block_zero'>";
echo "Цена изготовления эликсира:<br>";
echo "<img src='/images/icon/res/4.png'> Графит, 50 шт.<br>";
echo "<img src='/images/icon/silver.png'> Серебро, 20000 шт.<br>";
echo "<img src='/images/icon/gold.png'> Золото, 10 шт.<br>";
echo "У вас есть:<br>";
echo "<img src='/images/icon/res/4.png'> Графит, $user[mata] шт.<br>";
echo "<img src='/images/icon/silver.png'> Серебро, $user[silver] шт.<br>";
echo "<img src='/images/icon/gold.png'> Золото, $user[gold] шт.";
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<ul class='hint'><li>Ресурсы для алхимии можно добыть в пещере</li></ul></center><div class='mini-line'></div><div class='menuList'><li><a href='/lab/alchemy.php'><img src='/images/icon/arrow.png'>Вернуться в лабораторию</a></li></div>";

}
require_once H.'core/foot.php';
?>